$(document).ready(function() {
  $('#news-feed').each(function() {
    var $container = $(this);
    $container.empty();
    $.get('feed.xml', function(data) {
      $('rss item', data).each(function() {
        //      .
        var $link = $('<a></a>')
          .attr('href', $('link', this).text())
          .text($('title', this).text());
        var $headline = $('<h4></h4>').append($link);

        var pubDate = new Date($('pubDate', this).text());
        var pubMonth = pubDate.getMonth() + 1;
        var pubDay = pubDate.getDate(); 
        var pubYear = pubDate.getFullYear();
        var $publication = $('<div></div>')
          .addClass('publication-date')
          .text(pubMonth + '/' + pubDay + '/' + pubYear);
    
        var $summary = $('<div></div>')
          .addClass('summary')
          .html($('description', this).text());
        
        $('<div></div>')
          .addClass('headline')
          .append($headline, $publication, $summary)
          .appendTo($container);
      });

      var currentHeadline = 0, oldHeadline = 0;
      var hiddenPosition = $container.height() + 10;
      $('div.headline').eq(currentHeadline).css('top', 0);
      var headlineCount = $('div.headline').length;
      var pause;

      var headlineRotate = function() {
        currentHeadline = (oldHeadline + 1) % headlineCount;
        $('div.headline').eq(oldHeadline).animate(
          {top: -hiddenPosition}, 'slow', function() {
            $(this).css('top', hiddenPosition);
          });
        $('div.headline').eq(currentHeadline).animate(
          {top: 0}, 'slow', function() {
            pause = setTimeout(headlineRotate, 5000);
          });
        oldHeadline = currentHeadline;
      };
      pause = setTimeout(headlineRotate, 5000);
    }); 
  });
});

